<template>
  <section class="section">
    <div class="container">
      <h1 class="title">Login</h1>
      <div class="columns is-centered has-text-left">
        <div class="column is-4">
          <form @submit.prevent class="form">
            <b-field label="Email">
              <b-input
                v-model="user.email"
                type="email" />
            </b-field>
            <b-field label="Password">
              <b-input
                v-model="user.password"
                type="password"
                password-reveal />
            </b-field>
            <button @click="login" class="button is-success is-outlined is-pulled-right">Login</button>
          </form>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import LOGIN_MUTATION from '@/graphql/Auth/Login.gql'
export default {
  data: () => ({
    user: {}
  }),
  methods: {
    login () {
      this.$apollo.mutate({
        mutation: LOGIN_MUTATION,
        variables: { ...this.user }
      }).then(({ data: { login } }) => {
        localStorage.setItem('apollo-token', login.token)
        if (login.user.token) localStorage.setItem('github-token', login.user.token)
        if (!login.user.setup) this.$router.push('/setup')
        else this.$router.push('/')
      })
    }
  }
}
</script>
